io.vertx.ext.auth.jdbc

## Class JDBCAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.jdbc.JDBCAuthOptions

- All Implemented Interfaces:
    AuthOptions

      public class JDBCAuthOptions
      extends Object
      implements AuthOptions

  Options configuring JDBC authentication.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCAuthOptions()`
    `JDBCAuthOptions(JDBCAuthOptions that)`
    `JDBCAuthOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JDBCAuthOptions` | `clone()`
    `JDBCAuth` | `createProvider(Vertx vertx)` Create the suitable provider for this option.
    `String` | `getAuthenticationQuery()`
    `JsonObject` | `getConfig()`
    `String` | `getDatasourceName()`
    `String` | `getPermissionsQuery()`
    `String` | `getRolesPrefix()`
    `String` | `getRolesQuery()`
    `boolean` | `isShared()`
    `JDBCAuthOptions` | `setAuthenticationQuery(String authenticationQuery)` Set the authentication query to use.
    `JDBCAuthOptions` | `setConfig(JsonObject config)` The configuration of the JDBC client: refer to the Vert.x JDBC Client configuration.
    `JDBCAuthOptions` | `setDatasourceName(String datasourceName)` Set the data source name to use, only use in shared mode.
    `JDBCAuthOptions` | `setPermissionsQuery(String permissionsQuery)` Set the permissions query to use.
    `JDBCAuthOptions` | `setRolesPrefix(String rolesPrefix)` Set the role prefix to distinguish from permissions when checking for isPermitted requests.
    `JDBCAuthOptions` | `setRolesQuery(String rolesQuery)` Set the roles query to use.
    `JDBCAuthOptions` | `setShared(boolean shared)` Set whether the JDBC client is shared or non shared.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCAuthOptions

          public JDBCAuthOptions()

    - #### JDBCAuthOptions

          public JDBCAuthOptions(JDBCAuthOptions that)

    - #### JDBCAuthOptions

          public JDBCAuthOptions(JsonObject json)

  - ### Method Detail

    - #### clone

          public JDBCAuthOptions clone()

      Specified by:
        `clone` in interface `AuthOptions`
      Overrides:
        `clone` in class `Object`

    - #### createProvider

          public JDBCAuth createProvider(Vertx vertx)

      Description copied from interface: `AuthOptions`
      Create the suitable provider for this option.
      Specified by:
        `createProvider` in interface `AuthOptions`
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the auth provider

    - #### isShared

          public boolean isShared()

    - #### setShared

          public JDBCAuthOptions setShared(boolean shared)

      Set whether the JDBC client is shared or non shared.
      Parameters:
        `shared` - the sharing mode
      Returns:
        a reference to this, so the API can be used fluently

    - #### getDatasourceName

          public String getDatasourceName()

    - #### setDatasourceName

          public JDBCAuthOptions setDatasourceName(String datasourceName)

      Set the data source name to use, only use in shared mode.
      Parameters:
        `datasourceName` - the data source name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getConfig

          public JsonObject getConfig()

    - #### setConfig

          public JDBCAuthOptions setConfig(JsonObject config)

      The configuration of the JDBC client: refer to the Vert.x JDBC Client configuration.
      Parameters:
        `config` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### getAuthenticationQuery

          public String getAuthenticationQuery()

    - #### setAuthenticationQuery

          public JDBCAuthOptions setAuthenticationQuery(String authenticationQuery)

      Set the authentication query to use. Use this if you want to override the default authentication query.
      Parameters:
        `authenticationQuery` - the authentication query
      Returns:
        a reference to this, so the API can be used fluently

    - #### getRolesQuery

          public String getRolesQuery()

    - #### setRolesQuery

          public JDBCAuthOptions setRolesQuery(String rolesQuery)

      Set the roles query to use. Use this if you want to override the default roles query.
      Parameters:
        `rolesQuery` - the roles query
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPermissionsQuery

          public String getPermissionsQuery()

    - #### setPermissionsQuery

          public JDBCAuthOptions setPermissionsQuery(String permissionsQuery)

      Set the permissions query to use. Use this if you want to override the default permissions query.
      Parameters:
        `permissionsQuery` - the permissions query
      Returns:
        a reference to this, so the API can be used fluently

    - #### getRolesPrefix

          public String getRolesPrefix()

    - #### setRolesPrefix

          public JDBCAuthOptions setRolesPrefix(String rolesPrefix)

      Set the role prefix to distinguish from permissions when checking for isPermitted requests.
      Parameters:
        `rolesPrefix` - roles prefix
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2017. All rights reserved.